# List wallet transactions

List all the transactions associated with a particular Moov wallet.

Read our [wallet transactions guide](https://docs.moov.io/guides/sources/wallets/transactions/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/wallets.read` scope.

## GET

/accounts/{accountID}/wallets/{walletID}/transactions

### Ask

```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/transactions" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Ask

```go
mc, _ := moov.NewClient()

var accountID string
var walletID string

mc.ListWalletTransactions(ctx, accountID, walletID)
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.walletTransactions.list({
    accountID: "69e4529b-baf0-4f00-877b-123cfd9d6116",
    skip: 60,
    count: 20,
    walletID: "4f971587-62fe-42c9-bc61-7409d9c8660c",
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListWalletTransactionsRequest(
    accountID: '69e4529b-baf0-4f00-877b-123cfd9d6116',
    skip: 60,
    count: 20,
    walletID: '4f971587-62fe-42c9-bc61-7409d9c8660c',
);

$response = $sdk->wallets->listTransactions(
    request: $request
);

if ($response->walletTransactions !== null) {
    // handle response
}
```

### Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.ListWalletTransactionsValidationError;
import io.moov.sdk.models.operations.ListWalletTransactionsRequest;
import io.moov.sdk.models.operations.ListWalletTransactionsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws ListWalletTransactionsValidationError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListWalletTransactionsRequest req = ListWalletTransactionsRequest.builder()
                .accountID("69e4529b-baf0-4f00-877b-123cfd9d6116")
                .walletID("4f971587-62fe-42c9-bc61-7409d9c8660c")
                .skip(60L)
                .count(20L)
                .build();

ListWalletTransactionsResponse res = sdk.walletTransactions().list()
                .request(req)
                .call();

if (res.walletTransactions().isPresent()) {
            System.out.println(res.walletTransactions().get());
        }
    }
}
```

### Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.wallet_transactions.list(account_id="69e4529b-baf0-4f00-877b-123cfd9d6116", wallet_id="4f971587-62fe-42c9-bc61-7409d9c8660c", skip=60, count=20)

# Handle response
    print(res)
```

### Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListWalletTransactionsRequest.new(
  account_id: '69e4529b-baf0-4f00-877b-123cfd9d6116',
  skip: 60,
  count: 20,
  wallet_id: '4f971587-62fe-42c9-bc61-7409d9c8660c'
)
res = s.wallet_transactions.list(request: req)

unless res.wallet_transactions.nil?
  # handle response
end
```

### Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListWalletTransactionsRequest req = new ListWalletTransactionsRequest() {
    AccountID = "69e4529b-baf0-4f00-877b-123cfd9d6116",
    Skip = 60,
    Count = 20,
    WalletID = "4f971587-62fe-42c9-bc61-7409d9c8660c",
};

var res = await sdk.WalletTransactions.ListAsync(req);

// handle response
```

## Example

```json
[
  {
    "walletID": "string",
    "transactionID": "string",
    "transactionType": "account-funding",
    "sourceType": "transfer",
    "sourceID": "string",
    "status": "pending",
    "memo": "string",
    "createdOn": "2019-08-24T14:15:22Z",
    "completedOn": "2019-08-24T14:15:22Z",
    "currency": "USD",
    "grossAmount": 0,
    "grossAmountDecimal": "string",
    "fee": 0,
    "feeIDs": [
      "string"
    ],
    "feeDecimal": "string",
    "netAmount": 0,
    "netAmountDecimal": "string",
    "availableBalance": 0,
    "availableBalanceDecimal": "string",
    "sweepID": "string"
  }
]
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.

## Example

```json
{
  "transactionType": "string",
  "transactionTypes": "string",
  "sourceType": "string",
  "sourceID": "string",
  "status": "string",
  "sweepID": "string",
  "createdStartDateTime": "string",
  "createdEndDateTime": "string",
  "completedStartDateTime": "string",
  "completedEndDateTime": "string",
  "statementDescriptor": "string",
  "skip": "string",
  "count": "string"
}
```

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

`v2026.07.00`

Default: `200`

Optional parameter to filter by transaction type.

Possible values:

`account-funding`, `ach-reversal`, `auto-sweep`, `card-payment`, `card-decline`, `card-reversal`, `cash-out`, `dispute`, `dispute-reversal`, `facilitator-fee`, `issuing-refund`, `issuing-transaction`, `issuing-transaction-adjustment`, `issuing-auth-hold`, `issuing-auth-release`, `issuing-decline`, `moov-fee`, `payment`, `payout`, `refund`, `refund-failure`, `rtp-failure`, `top-up`, `wallet-transfer`, `adjustment`, `fee-revenue`, `residual`, `instant-bank-failure`

Optional, comma-separated parameter to filter by transaction types.

Optional parameter to filter by source type (i.e. transfer, dispute, issuing-transaction).

Possible values:

`transfer`, `dispute`, `issuing-card-transaction`, `issuing-authorization`, `sweep`, `adjustment`, `fee`, `residual`

Optional parameter to filter by source ID.

Optional parameter to filter by status (`pending` or `completed`).

Possible values:

`pending`, `completed`, `canceled`, `failed`

Optional date-time which inclusively filters all transactions created after this date-time.

Optional date-time which exclusively filters all transactions created before this date-time.

Optional date-time which inclusively filters all transactions completed after this date-time.

Optional date-time which exclusively filters all transactions completed before this date-time.

Optional ID to filter for transactions accrued in a sweep.

The wallet's total available balance after recording a completed transaction. The value is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

The wallet's total available balance after recording a completed transaction. Same as `availableBalance`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

A 3-letter ISO 4217 currency code.

Total fees paid for the transaction. The value is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

Total fees paid for the transaction. Same as `fee`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

The IDs of the fees paid for the transaction.

The total transaction amount. The amount is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

The total transaction amount. Same as `grossAmount`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

Detailed description of the transaction.

Net amount is the gross amount less fees paid, and the amount that affects the wallet's balance. The amount is in the smallest unit of the specified currency. In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

Net amount is the gross amount less fees paid, and the amount that affects the wallet's balance. Same as `netAmount`, but a decimal-formatted numerical string that represents up to 9 decimal place precision. In USD for example, 12.987654321 is $12.987654321 and 0.9987634521 is $0.9987634521.

The ID of the Moov object to which this transaction is related.

Possible values:

`transfer`, `dispute`, `issuing-card-transaction`, `issuing-authorization`, `sweep`, `adjustment`, `fee`, `residual`

Possible values:

`pending`, `completed`, `canceled`, `failed`

ID of the sweep this transaction accrued in.

Possible values:
